import React from 'react';
import Icon, { IconProps } from '../index';

const Svg = (props: React.SVGProps<SVGSVGElement>) => (
  <svg
    xmlns='http://www.w3.org/2000/svg'
    width='24'
    height='24'
    viewBox='0 0 24 24'
    fill='none'
    stroke='currentColor'
    strokeWidth='2'
    strokeLinecap='round'
    strokeLinejoin='round'
    className='aunt-icon aunt-icon-arrow-down'
    {...props}
  >
    <line x1='12' y1='5' x2='12' y2='19' />
    <polyline points='19 12 12 19 5 12' />
  </svg>
);

const ArrowDown = React.forwardRef<SVGSVGElement, Omit<IconProps, 'name'>>((props, ref) => {
  return (
    <Icon name='ArrowDown' {...props} ref={ref}>
      <Svg />
    </Icon>
  );
});

ArrowDown.displayName = 'ArrowDown';

export default ArrowDown;
