import React from 'react';
import Icon, { IconProps } from '../index';

const Svg = (props: React.SVGProps<SVGSVGElement>) => (
  <svg
    xmlns='http://www.w3.org/2000/svg'
    width='24'
    height='24'
    viewBox='0 0 24 24'
    fill='none'
    stroke='currentColor'
    strokeWidth='2'
    strokeLinecap='round'
    strokeLinejoin='round'
    className='aunt-icon aunt-icon-battery-charging'
    {...props}
  >
    <path d='M5 18H3a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h3.19M15 6h2a2 2 0 0 1 2 2v8a2 2 0 0 1-2 2h-3.19' />
    <line x1='23' y1='13' x2='23' y2='11' />
    <polyline points='11 6 7 12 13 12 9 18' />
  </svg>
);

const BatteryCharging = React.forwardRef<SVGSVGElement, Omit<IconProps, 'name'>>((props, ref) => {
  return (
    <Icon name='BatteryCharging' {...props} ref={ref}>
      <Svg />
    </Icon>
  );
});

BatteryCharging.displayName = 'BatteryCharging';

export default BatteryCharging;
